AutoCAD Architecture Customization
Welcome to Autodesk’s AutoCAD Architecture Customization Forums. Share your knowledge, ask questions, and explore popular AutoCAD Architecture Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Automating elevation update

3 REPLIES 3
Reply
Message 1 of 4
Anonymous
248 Views, 3 Replies

Automating elevation update

The 2D elevations in ADT3 are great. The only thing that isn't great is
having to individually select each elevation and run Update on it. Does
anyone have a way to update a selection set of elevations with one command.?
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: Anonymous

Doug,

I started to do this but then when I got to the command line I found out
that the command 2dSectionResultUpdate is dialog driven so you will still
need to hit ok to the dialog. Since I wrote the code I am posting
it....maybe someone has the answer to the dialog.

You guys and chalk this up for a wish list item.....oh wait this has been on
the wish list since R1.....ALL COMMANDS both Dialog/command line driven.

;;;;;ElevUpdate ©2001 Stardsign cad solution
(defun c:ElevUpdate (/ choose ss ent ret)
(INITGET "All Select")
(SETQ choose (GETKWORD "\nWall Insulation : /Select "))
(if (or (= nil choose)(= choose "All"))
(if (setq ss (ssget "X" '((0 . "AEC_2D_SECTION"))))
(CS:ElevUpdate ss)
)
(progn
(if (setq ent (entsel "\Select Elevation to update"))
(setq ss (ssadd)
ss (ssadd (car ent))
ret (CS:ElevUpdate ss)
)
)
)
)
(princ)
)

(defun CS:ElevUpdate (ss / )
(setq i 0 )
(while (setq ent (ssname ss i))
(command "_2dSectionResultUpdate" ent )
;(while (eq 1 (logand 1 (getvar "CMDACTIVE")))(command pause))
(setq i (1+ i))
)
)


hope this helps

Rob Starz
www.stardsign.com


"Doug Snider" wrote in message
news:1C011C20818944029B961298586AFB33@in.WebX.maYIadrTaRb...
> The 2D elevations in ADT3 are great. The only thing that isn't great is
> having to individually select each elevation and run Update on it. Does
> anyone have a way to update a selection set of elevations with one
command.?
>
>
Message 3 of 4
Anonymous
in reply to: Anonymous

Rob,

Instead of exposing the command, what I want to do is expose the objects
themselves. With this, you could do an update on a section via a method.
This will be better than via the command line.

Cheers,

Peter Funk
API Product Manager
Building Industry Group
Autodesk, Inc.
Message 4 of 4
Anonymous
in reply to: Anonymous

I would love that.....

Just didn't want to push it. Thanks

--
-------------------------------------------------------------------------
Rob Starz
Plogv 3.0 & 2000 (plot logging) for r14 & 2000
***Enhancement Tools for Arch. Desktop *****
!!!!!Beta Testers Needed For DormerX!!!!!!!
http://www.stardsign.com/DormerXForm.htm
http://www.stardsign.com/main.htm

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost